<bugID>935393<Summary>mis-detection of mixed resources status</Summary><Description>Created attachment 827855
minimal_testcase.zip

[Summary]
Firefox mis-detect the https page's mixed resource status if the previous http page loads some http resources when moving to the next page.

[env]
* http://hg.mozilla.org/mozilla-central/rev/770de5942471
* Windows NT 6.1; WOW64;

[Step to reproduce]
1. Extract the attached testcase.
2. Acccess to `testcase.html` via `http://` scheme (plese use a local server).
  * If you access it via `file://` scheme offline access,
    this bug wouldn't be reproduced.
3. Click "green" area. The browser would work like following steps:
  1. Change "green" area to "red".
  2. Finaly, The browser move to `https://www.google.com/`.

[Result]
* The browser's identity icon, which is placed to the left end of location bar,
  should be "warning" icon.
* The browser detects that this page has "mixed contents resource".
  * `https://www.google.com/` does't have any mixed contents resources.
    This is bug.
* These results may be hard to reproduce.

[Expected]
* Its icon should be "padlock (secure)" icon.
* The browser should detect the resouce status correctly.

[Remarks]
* This is "false positive" detection. Firefox might criminate a guiltless page.
  This is big problem for the trust of web.</Description></bugID>